<?php
/* 
Plugin Name: Display Image in Admin Column
Plugin URI: https://www.sumonhasan.com/display-image-in-admin-column/
Description: This plugin will add the featured image to your admin panel for all pages and posts.
Version: 1.0
Author: Sumon Hasan
Author URI: http://www.sumonhasan.com
*/


// ADD STYLE IN ADMIN
function display_image_in_admin_column_style() { ?>
	<style type="text/css"> 
		.attachment-featured-thumbnail {
				width: 100px !important;
				height: auto !important;
			} 	
	</style> <?php 
}
add_action( 'admin_enqueue_scripts', 'display_image_in_admin_column_style' );
	
/*******************************************
* ADD IMAGE DISPLAY IN POSTS
*******************************************/

add_filter('manage_posts_columns', 'diiac_posts_image_head', 10);
add_action('manage_posts_custom_column', 'diiac_posts_image_content', 10, 2);

// ADD NEW COLUMN
function diiac_posts_image_head($defaults){
	$defaults['postes_featured_image'] = __('Featured Image');
    return $defaults;
}

// SHOW THE FEATURED IMAGE
function diiac_posts_image_content($column_name, $post_ID){
        if($column_name === 'postes_featured_image'){
        echo the_post_thumbnail( 'featured-thumbnail' );
    }
}


/**************************************
*  ADD IMAGE DISPLAY IN PAGES
***************************************/

add_filter('manage_pages_columns', 'diiac_pages_image_head', 10);
add_action('manage_pages_custom_column', 'diiac_pages_image_content', 10, 2);

// ADD NEW COLUMN
function diiac_pages_image_head($defaults){
    $defaults['Pages_featured_image'] = __('Featured Image');
    return $defaults;
}

// SHOW THE FEATURED IMAGE
function diiac_pages_image_content($column_name, $post_ID){
        if($column_name === 'Pages_featured_image'){
        echo the_post_thumbnail( 'featured-thumbnail' );
    }
}

	